mxGraphSelectionModel.mxSelectionChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxGraphSelectionModel.mxSelectionChange

    java.lang.Object
      com.mxgraph.view.mxGraphSelectionModel.mxSelectionChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphSelectionModel

    public static class mxGraphSelectionModel.mxSelectionChange

extends Object
implements mxUndoableEdit.mxUndoableChange

Field Summary
`protected Collection<Object>` | `added`
`protected mxGraphSelectionModel` | `model`
`protected Collection<Object>` | `removed`

Constructor Summary
`mxGraphSelectionModel.mxSelectionChange(mxGraphSelectionModel model, Collection<Object> added, Collection<Object> removed)`

Method Summary
`void` | `execute()` Undoes or redoes the change depending on its undo state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected mxGraphSelectionModel model

### added

    protected Collection<Object> added

### removed

    protected Collection<Object> removed

Constructor Detail

### mxGraphSelectionModel.mxSelectionChange

    public mxGraphSelectionModel.mxSelectionChange(mxGraphSelectionModel model,
                                                   Collection<Object> added,
                                                   Collection<Object> removed)

Parameters:
  `model` -
  `added` -
  `removed` -

Method Detail

### execute

    public void execute()

  Description copied from interface: `mxUndoableEdit.mxUndoableChange`
  Undoes or redoes the change depending on its undo state.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.